Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toolkit.db.queryoptimization
Class QueryInfo

    java.lang.Object
      toolkit.db.queryoptimization.QueryInfo

    public class QueryInfo

extends java.lang.Object

Class QueryInfo wraps information that a query optimizer needs. Users can retrieve information from it and optimize the query statement.

Constructor Summary
`QueryInfo(java.lang.String sQueryString, java.lang.String userName, ConnectionInfo conInfo, java.util.List<ColumnInfo> columnInfos)` Constructs an empty QueryInfo.

Method Summary
`java.util.List<ColumnInfo>` | `getColumnInfos()` Gets the column information.
`ConnectionInfo` | `getConnectionInfo()` Gets ConnectionInfo of this query.
`java.lang.String` | `getQueryString()` Gets The query statement to be optimized.
`java.lang.String` | `getUserName()` return User ID used when logging onto JReport Server.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryInfo

    public QueryInfo(java.lang.String sQueryString,
                     java.lang.String userName,
                     ConnectionInfo conInfo,
                     java.util.List<ColumnInfo> columnInfos)

  Constructs an empty QueryInfo.

Method Detail

### getQueryString

    public java.lang.String getQueryString()

  Gets The query statement to be optimized.

  Returns:
    the name of this query.

### getUserName

    public java.lang.String getUserName()

  return User ID used when logging onto JReport Server. When viewing the report in JReport Designer, it can return NULL, while when running the report on JReport Server, it will return the name used to log onto the server.

### getConnectionInfo

    public ConnectionInfo getConnectionInfo()

  Gets ConnectionInfo of this query.

  Returns:
    the ConnectionInfo of this query. `#ConnectionInfo`

### getColumnInfos

    public java.util.List<ColumnInfo> getColumnInfos()

  Gets the column information. Each column information contains a mapping name and column index of where this column should appear in Select clause of the sql string. 1 means the first one, 2 means the second one, etc. -1 means uncertain and it may be decided by the real resultset meta data. Refer to ColumnInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD